List Webhooks

Returns a list of all webhooks on a store associated to the client_id used to authenticate the request.

Note: BigCommerce determines the client_id from the access_token.

Authentication

X-Auth-Tokenstring
### OAuth scopes None required. Create and manage webhooks with the default scope of an API account. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

pageintegerOptional
Page number.
limitintegerOptional
Items count per page.
is_activebooleanOptional
Enables user to filter for webhooks that are active or not. A webhook subscription becomes deactivated after 90 days of inactivity.
scopestringOptional
Enables user to filter for webhooks by scope.
destinationstringOptional
Enables user to filter for webhooks by destination.

Response

datalist of objects
metaobject

Errors

401
Unauthorized Error